## com.google.gwt.user.client
Interface EventListener

All Known Implementing Classes:
  Widget

public interface EventListener

Receives low-level browser events. The implementer registers for DOM events using `DOM.setEventListener(Element, EventListener)`.

Only subclasses of `Widget` should attempt to listen to browser events.

Method Summary
`void` `onBrowserEvent(Event event)` Fired whenever a browser event is received.

Method Detail

### onBrowserEvent

    public void onBrowserEvent(Event event)

  Fired whenever a browser event is received.

  Parameters:
    `event` - the event received